Skip to main content
`Ctrl`+`K`

# Sky2Pix_Airy

class astropy.modeling.projections.Sky2Pix_Airy(*args, **kwargs)

  Bases: `Sky2PixProjection`, `Zenithal`

  Airy - sky to pixel.

  Corresponds to the `AIR` projection in FITS WCS.

  See `Zenithal` for a definition of the full transformation.

  \[R_\theta = -2 \frac{180^\circ}{\pi}\left(\frac{\ln(\cos \xi)}{\tan \xi} + \frac{\ln(\cos \xi_b)}{\tan^2 \xi_b} \tan \xi \right)\]

  where:

  \[\begin{split}\xi &= \frac{90^\circ - \theta}{2} \\ \xi_b &= \frac{90^\circ - \theta_b}{2}\end{split}\]
  Parameters:
    theta_b `python:float`

      The latitude \(\theta_b\) at which to minimize the error, in degrees. Default is 90°.

  Attributes Summary

  `param_names` | Names of the parameters that describe models of this type.
  `theta_b` |

  Attributes Documentation

  param_names = ('theta_b',)

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  theta_b = _ParameterDS('theta_b', value=90.0)